Skip to navigation

Get Integrations Per Tsp

Get one TSP by id with its supported integrations.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tsp_idstringRequiredformat: "uuid"

Response

Successful Response
tsp_idstringformat: "uuid"

Unique identifier for the Telematics Service Provider (TSP).

integrationsmap from strings to enums
Map of every resource to the current integration implementation status.
Allowed values:
implemented_countinteger
Count of integrations supported by the TSP and implemented by Catena
not_implemented_countinteger
Count of integrations supported by the TSP, but not implemented by Catena
not_supported_countinteger
Count of integrations not supported by the TSP
unknown_countinteger
Count of integrations whose support status is currently unknown
slugstring or nullOptional

Human-friendly slug for the TSP.

source_nameenum or nullOptional
The name of the TSP integration.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error